Subject: [Fot] TR3 lives again!

From: davehogye <[email-masked]>
Date: Sun, 20 Jan 2013 20:14:46 +0000 (UTC)

Hello Friends,
I'm excited to share with you the news that my TR3 is finally together and running.  As far as I know it hasn't run since 1975 and the restoration/ race car build has taken me a long 57 months.  
I have a few small details to attend to before I can drive it, but I made it through the initial start up and break-in period last Friday night with the much needed assistance of Greg Solow.   It started instantly, ran great and sounds amazing.  Thanks again Greg.  I have been honored to have Greg standing by and sharing his expertise during the most important steps of the motor build and he worked some real magic with carb tuning during the start up.   Oh, the things that I have learned.  I would of course like to thank to all my Friends of Triumph for the encouragement, inspiration and sharing of much needed parts and information during this process.  I would really be lost without you all and may have never made it to this point.  
I love my TR,
Dave H.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive